Dropping desktop-switcher from karmic

Bug #443298 reported by Loïc Minier on 2009-10-05
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
desktop-switcher (Ubuntu)
Medium
Unassigned
unr-meta (Ubuntu)
Medium
Loïc Minier

Bug Description

Hi

desktop-switcher has some nasty bugs in the karmic version and we'd like to drop it.

(Looking at:
https://bugs.launchpad.net/ubuntu/+source/desktop-switcher
should be enough to believe in this :-)

The architecture/design of desktop-switcher of trying to update the live configuration (GConf settings and others) makes it really fragile and error prone; desktop-switcher also takes some backups of gconf settings in ~/ and attempts to restore them, which creates more code pathes and potential problems. It's easy to end up in a completely broken setup with some minutes of playing.

desktop-switcher was intended to help hardy UNR users to disable clutter/opengl when their setup didn't support that nicely. Nowadays, we except these to just work, so it's kind of not required.

Finally, desktop-switcher duplicates the settings from ubuntu-netbook-remix-default-settings, so we need to update two places when we change them,

In karmic+1, we'd like to implement this feature by having an UNR session on the GDM screen along GNOME, that would be a much more solid and clean design. This would also solve the duplication.

So to sum up, we'd like to unseed desktpo-switcher in karmic's UNR and revisit this differently in lucid. We will still attempt to fix top issues if time and complexity of the fixes permit.

Thanks,

Steve Langasek (vorlon) wrote :

FFe, UIFe granted.

Changed in unr-meta (Ubuntu):
status: New → Confirmed
Loïc Minier (lool) wrote :

Package was only unseeded, but we should also conflict.

Changed in unr-meta (Ubuntu):
assignee: nobody → Loïc Minier (lool)
importance: Undecided → Medium
status: Confirmed → Fix Committed
Loïc Minier (lool) wrote :

We should also remove desktop-switcher completely since it's quite broken.

Changed in desktop-switcher (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
summary: - Dropping desktop-switcher from karmic's UNR
+ Dropping desktop-switcher from karmic
Martin Pitt (pitti) wrote :

$ checkrdepends desktop-switcher karmic
$

2009-10-26 13:32:08 INFO Removing candidates:
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic amd64
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic armel
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic i386
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic ia64
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic lpia
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic powerpc
2009-10-26 13:32:08 INFO desktop-switcher 0.5.8-0ubuntu2 in karmic sparc
2009-10-26 13:32:08 INFO Removed-by: Martin Pitt
2009-10-26 13:32:08 INFO Comment: obsolete and bad design, LP#443298
2009-10-26 13:32:08 INFO 8 packages successfully removed.

Changed in desktop-switcher (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unr-meta - 1.171

---------------
unr-meta (1.171) karmic; urgency=low

  * Conflict with desktop-switcher as it's too buggy in karmic and not really
    needed anymore: this tool was introduced to offer a 2D option for people
    experiencing poor graphics performance or support and that should no
    longer be the case; LP: #443298.

 -- Loic Minier <email address hidden> Mon, 26 Oct 2009 13:24:47 +0000

Changed in unr-meta (Ubuntu):
status: Fix Committed → Fix Released
jgoddard (james-goddard) wrote :

So those of us who use the desktop switcher because we want the normal desktop when running with an external monitor and the netbook desktop when we aren't are supposed to do what now?

Also, those of us who were in non-netbook mode when we upgraded to KK are supposed to do what now? I wish I had known you killed this before I upgraded!

Victor (victor-s) wrote :

Question...

Is there another way to get back to the desktop while using UNR Karmic? I don't care if it's before or after the session starts. I would like to be able to have the desktop either way. Also... What about just running regular Ubuntu? Does Ubuntu Karmic have all the optimizations for Intel Atom processors and the like? I don't care much for the GUI, the only reason I installed UNR is for all of it's supposed optimizations.

The UNR GUI is rather slow and cumbersome. I feel like it I do more clicking around to get to where I want and to do what I want.

Thanks!

Paul Larson (pwlars) wrote :

@victor, if your goal is to just run normal Ubuntu desktop, and you don't require the ability to switch between that and UNR on the fly, then you can just install Ubuntu-desktop i386. You can use usb-creator, or other similar methods to create a bootable USB for it in the same way that you did for UNR.

Neither ubuntu-desktop, nor UNR are compiled for lpia, so neither are giving you any special benefit of running on an atom processor. There was some experiementation with lpia builds on MID during the Jaunty cycle, but there was little or no gain by doing this, and it created it's own set of problems.

Victor (victor-s) wrote :

Thank you Paul! I'm downloading Ubuntu-desktop i386 as I type this.

gCg (pk-gcg) wrote :

I am on UNR Karmic. But i want to use normal desktop. And i really don't want to download and reinstall ubuntu again.

I remove netbook-launcher from startup applications and it looks cool but i can't use my desktop. There is no icons and i can't right click on desktop. So how can i enable my desktop ?

gCg (pk-gcg) wrote :

I found it.

gconf-editor

apps->nautilus->preferences

Show Desktop

MikeR (mike-rechtman) wrote :

Naughty!

If every package that had a bug was removed from the installation, there would be few left.
Perhaps the solution would be to either fix the bugs or rewrite desktop-switcher from scratch?

Personally I use UNR on a netbook, but occasionally would like to use the older, more familiar GNOME desktop.
Has it now been written in stone -- "No desktop-switcher, ever?"

jgoddard (james-goddard) wrote :

Actually I believe they intend for us to wait for 10.4 for a "new" method. Between this and the massive security hole on the login screen, I've had to move back to debian.

gorin (gorin) on 2009-11-24
Changed in desktop-switcher (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released

@jgoddard: Debian will also get this eventually, as it's the new Gnome default.

gorin on 2009-11-24
Changed in desktop-switcher (Ubuntu):
status: Fix Released → Fix Committed
gorin on 2009-11-24
Changed in desktop-switcher (Ubuntu):
status: Fix Committed → Fix Released

Sorry, but what kind of fix and for which Ubuntu version?

Paolo Sammicheli (xdatap1) wrote :

I would add my experience here. I share a Dell mini 10v with my girlfriend and i installed karmic since beta for testing purpose. We have different users in the pc, so anybody can have his desktop, settings, etc.

I have UNR launcher on my user and my GF, since beginning, wanted to switch to normal gnome desktop.

Removing desktop-switcher made us stuck in our configuration and I just realized that today.

And now? what's planning for this bug? Also, this lack of communication really surprise me. Users don't spend time on launchpad, how they know that a fundamental package was removed from UNR?

Another case use: people who upgraded from Jaunty UNR. How could they know that with karmic will not be able to switch desktop anymore?

IMHO removing a package in this way is such a bad idea.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers